curl --request GET \
--url https://api.ever.day/profiles/{publicIdentifier} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.ever.day/profiles/{publicIdentifier}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.ever.day/profiles/{publicIdentifier}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "abc123",
"email": "user@example.com",
"publicIdentifier": "john-doe-1234",
"firstName": "John",
"lastName": "Doe",
"fullName": "John Doe",
"certifications": [
{
"id": "<string>",
"name": "<string>",
"authority": "<string>",
"field": "<string>",
"description": "<string>",
"date": "2023-11-07T05:31:56Z"
}
],
"educations": [
{
"id": "<string>",
"degree": "<string>",
"school": "<string>",
"field": "<string>",
"grade": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"finished": true,
"description": "<string>"
}
],
"workHistory": [
{
"id": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"occupation": "<string>",
"company": "<string>",
"description": "<string>"
}
]
}Get Profile Details
Retrieves detailed information about a specific profile, including certifications, education, and work history. This endpoint does not include smart match results.
Authorizations
Include your API key in the x-api-key header to authenticate requests. Each organisation is provided with a unique API key. If your key is lost or compromised, contact support to request a new one.
Path Parameters
The unique identifier of the profile.
Response
Profile details retrieved successfully.
The unique identifier of the profile.
"abc123"
The user's email address.
"user@example.com"
A unique public identifier for the user.
"john-doe-1234"
The user's first name.
"John"
The user's last name.
"Doe"
The user's full name.
"John Doe"
List of certifications obtained by the user.
Show child attributes
Show child attributes
List of educational backgrounds.
Show child attributes
Show child attributes
Work experience history.
Show child attributes
Show child attributes